[21.04 FEAT] Upgrade openCryptoki to latest version (3.15.1) + additional patches

Bug #1906369 reported by bugproxy
44
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Fix Released
High
Skipper Bug Screeners
opencryptoki (Ubuntu)
Fix Released
High
Brian Murray
Hirsute
Fix Released
High
Brian Murray

Bug Description

Upgrade to latest version of opencryptoki 3.15.1

https://github.com/opencryptoki/opencryptoki/releases

bugproxy (bugproxy)
tags: added: architecture-s39064 bugnameltc-190028 severity-high targetmilestone-inin2104
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → opencryptoki (Ubuntu)
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
importance: Undecided → High
Changed in opencryptoki (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Canonical Foundations Team (canonical-foundations)
Changed in ubuntu-z-systems:
status: New → Triaged
summary: - [21.04 FEAT[ Upgrade openCryptoki to latest version (3.15.1)
+ [21.04 FEAT[ Upgrade openCryptoki to latest version (3.15.1) + 2 patches
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2020-12-01 03:45 EDT-------
Please add the following fixes on top of openCryptoki 3.15.1.

1. Added error message handling for p11sak remove-key command.
https://github.com/opencryptoki/opencryptoki/commit/eef7049ce857ee5d5ec64e369a10e05e8bb5c4dd

which is related to
Jira IBM-652, SLE-13813 openCryptoki key management tool: key deletion function

2. Fix compiling with c++
https://github.com/opencryptoki/opencryptoki/commit/2d16f003911ceee50967546f4b3c7cac2db9ba86

Thanks for your support.

Steve Langasek (vorlon)
tags: added: fr-976
Revision history for this message
Frank Heimes (fheimes) wrote : Re: [21.04 FEAT[ Upgrade openCryptoki to latest version (3.15.1) + 2 patches

While processing this ticket,
another patch should be integrated for hirsute, the one mentioned in this LP Bug:1915517 "[UBUNTU 21.04] openCryptoki: pkcscca migration fails with usr/sb2 is not a valid slot ID":
caa4bbba "A slot ID has nothing to do with the number of slots"

Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2021-02-15 03:19 EDT-------
While processing this ticket. Please add also LP 1915689

https://github.com/opencryptoki/opencryptoki/commit/1e98001ff63cd7e75d95b4ea0d3d2a69965d8890 "SOFT: Fix problem with C_Get/SetOperationState and digest contexts"

This patch should apply smoothly on top of OCK 3.15.1.

Revision history for this message
Frank Heimes (fheimes) wrote : Re: [21.04 FEAT[ Upgrade openCryptoki to latest version (3.15.1) + 2 patches

And another patch should be applied while version bumping opencryptoki for hirsute:
Based on LP 1915689 "[UBUNTU 21.04] Opencryptoki 3.15: token_specific_sha_update() causes segmentation fault in main_arena () from /usr/lib64/libc.so.6 (opencryptoki)"
the following commit/patch is needed on top:
1e98001f "SOFT: Fix problem with C_Get/SetOperationState and digest contexts"

summary: - [21.04 FEAT[ Upgrade openCryptoki to latest version (3.15.1) + 2 patches
+ [21.04 FEAT[ Upgrade openCryptoki to latest version (3.15.1) +
+ additional patches
Revision history for this message
Brian Murray (brian-murray) wrote : Re: [21.04 FEAT[ Upgrade openCryptoki to latest version (3.15.1) + additional patches

This patch actually looks like the one which was committed and adds error message handling for p11sak remove-key command.

https://github.com/opencryptoki/opencryptoki/commit/821bc7ab4635e189d31bc3c808c626b9fcda5d02.patch

Changed in opencryptoki (Ubuntu):
assignee: Canonical Foundations Team (canonical-foundations) → Brian Murray (brian-murray)
importance: Undecided → High
status: New → In Progress
Frank Heimes (fheimes)
information type: Private → Public
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: Triaged → In Progress
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package opencryptoki - 3.15.1+dfsg-0ubuntu1

---------------
opencryptoki (3.15.1+dfsg-0ubuntu1) hirsute; urgency=medium

  * New upstream release LP: #1906369.
  * Add patch f1f176cbb4183bcb8a0f7b4d7f649d84a731dd43 fixing migration of a
    master key from OLD register to CURRENT register (LP: #1915517).
  * Add patch 2d16f003911ceee50967546f4b3c7cac2db9ba86 fixing compiling with
    c++.
  * Add patch 821bc7ab4635e189d31bc3c808c626b9fcda5d02 with error message
    handling for p11sak remove-key command.
  * Add patch 1e98001ff63cd7e75d95b4ea0d3d2a69965d8890 fixing a problem with
    C_Get/SetOperationState and digest contexts.

 -- Brian Murray <email address hidden> Mon, 22 Feb 2021 16:48:12 -0800

Changed in opencryptoki (Ubuntu Hirsute):
status: In Progress → Fix Released
Frank Heimes (fheimes)
Changed in ubuntu-z-systems:
status: In Progress → Fix Released
Revision history for this message
bugproxy (bugproxy) wrote : Comment bridged from LTC Bugzilla

------- Comment From <email address hidden> 2021-02-23 06:19 EDT-------
IBM Bugzilla status->closed, Fix Released with hirsuite

description: updated
summary: - [21.04 FEAT[ Upgrade openCryptoki to latest version (3.15.1) +
+ [21.04 FEAT] Upgrade openCryptoki to latest version (3.15.1) +
additional patches
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers